Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

# Class Service7Constructor

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service7Constructor

public class Service7Constructor extends Object

## Constructor Summary

Constructors
Constructor
Description
`Service7Constructor(org.osgi.service.component.ComponentContext componentContext, ServiceConfig config, org.osgi.framework.BundleContext bundleContext)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.framework.BundleContext`
`getBundleContext()`
`org.osgi.service.component.ComponentContext`
`getComponentContext()`
`Map<String,Object>`
`getMap()`
`boolean`
`isActivated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service7Constructor

public Service7Constructor(org.osgi.service.component.ComponentContext componentContext, ServiceConfig config, org.osgi.framework.BundleContext bundleContext)

## Method Details

### isActivated

public boolean isActivated()

### getComponentContext

public org.osgi.service.component.ComponentContext getComponentContext()

### getBundleContext

public org.osgi.framework.BundleContext getBundleContext()

### getMap

public Map<String,Object> getMap()